Error
A valid request URL is required to generate request examples{
"id": "<string>",
"stream_id": "<string>",
"prompt": "<string>",
"backend": "gemini",
"model": "<string>",
"output_schema_json": {},
"created_at": "<string>",
"updated_at": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"details": null
}{
"error": "<string>",
"request_id": "<string>",
"details": null
}{
"error": "<string>",
"request_id": "<string>",
"details": null
}{
"error": "<string>",
"request_id": "<string>",
"details": null
}{
"error": "<string>",
"request_id": "<string>",
"details": null
}Streams
Update prompt
Change the inference prompt on a running Stream on the deprecated v0.2 API, taking effect on the next inference cycle immediately.
PATCH
/
streams
/
{stream_id}
/
config
/
prompt
Error
A valid request URL is required to generate request examples{
"id": "<string>",
"stream_id": "<string>",
"prompt": "<string>",
"backend": "gemini",
"model": "<string>",
"output_schema_json": {},
"created_at": "<string>",
"updated_at": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"details": null
}{
"error": "<string>",
"request_id": "<string>",
"details": null
}{
"error": "<string>",
"request_id": "<string>",
"details": null
}{
"error": "<string>",
"request_id": "<string>",
"details": null
}{
"error": "<string>",
"request_id": "<string>",
"details": null
}The v0.2 API is deprecated. New integrations should use v1.
Authorizations
Provide your API key in the Authorization header as 'Bearer <api_key>'
Path Parameters
Body
application/json
Update the inference prompt on a running stream. Takes effect on the next inference cycle.
New prompt text (e.g. 'Count the number of people')
Minimum string length:
1Response
Successful Response
Current stream inference configuration, returned after updates.
Config identifier
Stream identifier
Active inference prompt
Inference backend
Available options:
gemini, overshoot Model identifier
JSON Schema for structured output, or null
ISO 8601 creation timestamp
ISO 8601 last update timestamp